<?php add_action( 'vc_before_init', 'dt_sc_image_caption_vc_map' );
function dt_sc_image_caption_vc_map() {

	vc_map( array(
		"name" => esc_html__("Image Caption", 'dental-core'),
		"base" => "dt_sc_image_caption",
		"icon" => "dt_sc_image_caption",
		"category" => DT_VC_CATEGORY,
		"description" => esc_html__("Add different types of image caption",'dental-core'),
		"params" => array(

			# Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type', 'dental-core'),
				'param_name' => 'type',
				'value' => array( esc_html__('Type 1','dental-core') => 'type1',
					esc_html__('Type 2','dental-core') => 'type2',
					esc_html__('Type 3','dental-core') => 'type3',
					esc_html__('Type 4','dental-core') => 'type4',
					esc_html__('Type 5','dental-core') => 'type5',
					esc_html__('Type 6','dental-core') => 'type6',
					esc_html__('Type 7','dental-core') => 'type7',
					esc_html__('Type 8','dental-core') => 'type8',
					esc_html__('Type 9','dental-core') => 'type9',
				),
				'std' => 'type1'
			),

      		# Title
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Title", 'dental-core' ),
      			"param_name" => "title",
			),
			  
			  # Title Link
      		array(
				"type"       => "vc_link",
				"heading"    => esc_html__( "Title Link", 'dental-core' ),
				"param_name" => "title_link",
      		),

      		# Sub Title
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Sub Title", 'dental-core' ),
      			"param_name" => "subtitle",
      		), 

			# Image url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image URL', 'dental-core'),
				'param_name' => 'image',
			),

			# Image Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Image Position', 'dental-core'),
				'param_name' => 'imgpos',
				'value' => array( esc_html__('Default','dental-core') => '', esc_html__('Below Content','dental-core') => 'bottom' )
			),

			# Icon Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Icon Type', 'dental-core'),
				'param_name' => 'icon_type',
				'value' => array( esc_html__('Icon class','dental-core') => 'icon_class', esc_html__('Image','dental-core') => 'icon_url' )
			),

			# Icon Class
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Class', 'dental-core'),
				'param_name' => 'icon',
				'dependency' => array('element' => 'icon_type','value' => 'icon_class')
			),

			# Icon url
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image URL', 'dental-core'),
				'param_name' => 'iconurl',
				'dependency' => array('element' => 'icon_type','value' => 'icon_url')
			),

			# Content
			array(
				'type' => 'textarea_html',
				'heading' => esc_html__('Content','dental-core'),
				'param_name' => 'content',
				'value' => '<p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi hendrerit elit turpis, a porttitor tellus sollicitudin at. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>'
			),			

			# Extra Class
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Extra class name", 'dental-core' ),
      			"param_name" => "class",
      			'description' => esc_html__('Style particular icon box element differently - add a class name and refer to it in custom CSS','dental-core')
      		)
		)
	) );
} ?>